Re: FNAC & Debian

Le
Nicolas Pechon
<citation de="Sébastien NOBILI">
> Le vendredi 08 mars 2013 à 10:57, Nicolas Pechon a écrit :
>> Non, il est installé.
>> ;-(
>
> Peut-être une embrouille au niveau multi-arch… Je ne peux pas t'aider
> plus que
> ça, je suis en Squeeze, alors pour moi le multi-arch, c'est un peu comme
> la
> voiture volante de l'an 2000 !
>
> Seb

:-D
Merci, cela ma fait beaucoup avancé.
Merci aussi à: Guy Roussin pour lequel je m'excuse de lui avoir envoyé en
perso au lieu d'un envoie sur la liste. :-O

> <citation de="Guy Roussin">
>De mémoire :
>dpkg --add-architecture i386
>apt-get update
>apt-get install multiarch-support
>apt-get install ia32-libs

Puis, après quelque résolution de dépendance
Je bloque ici:
% ./Atelier Photo FNAC
./Atelier Photo FNAC: error while loading shared libraries:
libgthread-2.0.so.0: cannot open shared object file: No such file or
directory

Malheureusement:
# aptitude install libgthread-2.0:i386
Impossible de trouver un paquet dont le nom ou la description corresponde
à « libgthread-2.0:i386 »
Impossible de trouver un paquet dont le nom ou la description corresponde
à « libgthread-2.0:i386 »


--
" L'ennui dans ce monde, c'est que les idiots sont sur d'eux, et les gens
censés plein de doutes"
-+- Inconnu -+-


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers debian-user-french-REQUEST@lists.debian.org
En cas de soucis, contactez EN ANGLAIS listmaster@lists.debian.org
Archive: http://lists.debian.org/ae9e7d479bc6f71110d2836b806688bc.squirrel@bureau
Questions / Réponses high-tech
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Jean-Jacques Doti
Le #25268562
Salut,

Le 08/03/2013 11:37, Nicolas Pechon a écrit :
<citation de="Guy Roussin">
De mémoire :
dpkg --add-architecture i386
apt-get update
apt-get install multiarch-support
apt-get install ia32-libs


Puis, après quelque résolution de dépendance...
Je bloque ici:
% ./Atelier Photo FNAC
./Atelier Photo FNAC: error while loading shared libraries:
libgthread-2.0.so.0: cannot open shared object file: No such file or
directory

Malheureusement:
# aptitude install libgthread-2.0:i386
Impossible de trouver un paquet dont le nom ou la description corresponde
à « libgthread-2.0:i386 »
Impossible de trouver un paquet dont le nom ou la description corresponde
à « libgthread-2.0:i386 »


Le fichier libthread-2-0.so.0 est dans le paquet libglib2.0-0. Il faut
donc installer libglib2.0-0:i386 (ou ia32-libs-gtk qui dépend de
libglib2.0-0 et de pleins d'autres choses).

Note toute de même qu'avec multiarch, les paquets ia32-libs* sont des
"dummy paquets" et qu'ils vont, à terme disparaître. Je pense qu'il est
donc préférable de ne pas installer ces paquets. Normalement,
apt-get install libglib2.0-0:i386
devrait suffire à installer ce dont tu as besoin via ses dépendances
(sauf si "Atelier Photo FNAC" a besoin d'autre bibliothèques).

A+
Jean-Jacques

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Frédéric Massot
Le #25268572
Le 08/03/2013 11:37, Nicolas Pechon a écrit :

<citation de="Sébastien NOBILI">
Le vendredi 08 mars 2013 à 10:57, Nicolas Pechon a écrit :
Non, il est installé.
;-(



Peut-être une embrouille au niveau multi-arch… Je ne peux pas t'aider
plus que
ça, je suis en Squeeze, alors pour moi le multi-arch, c'est un peu comme
la
voiture volante de l'an 2000 !

Seb



:-D
Merci, cela ma fait beaucoup avancé.
Merci aussi à: Guy Roussin pour lequel je m'excuse de lui avoir envoyé en
perso au lieu d'un envoie sur la liste. :-O

<citation de="Guy Roussin">
De mémoire :
dpkg --add-architecture i386
apt-get update
apt-get install multiarch-support
apt-get install ia32-libs



Puis, après quelque résolution de dépendance...
Je bloque ici:
% ./Atelier Photo FNAC
./Atelier Photo FNAC: error while loading shared libraries:
libgthread-2.0.so.0: cannot open shared object file: No such file or
directory

Malheureusement:
# aptitude install libgthread-2.0:i386
Impossible de trouver un paquet dont le nom ou la description corresponde
à « libgthread-2.0:i386 »
Impossible de trouver un paquet dont le nom ou la description corresponde
à « libgthread-2.0:i386 »



La lib libgthread est normalement dans le paquet "libglib2".


--
============================================= | FRÉDÉRIC MASSOT |
| http://www.juliana-multimedia.com |
| mailto: |
| +33.(0)2.97.54.77.94 +33.(0)6.67.19.95.69 |
==========================Þbian=GNU/Linux==
--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Nicolas Pechon
Le #25269092
<citation de="Frédéric Massot">

La lib libgthread est normalement dans le paquet "libglib2".



Merci à tous ceux qui se sont penché sur mon probléme.

Cela fonctionne...
Reste plus qu'a faire les albums photos...

--
" L'ennui dans ce monde, c'est que les idiots sont sur d'eux, et les gens
censés plein de doutes..."
-+- Inconnu -+-


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Publicité
Poster une réponse
Anonyme